/* group
--------------------------------------------- */
.is-style-only-mobile,
.is-style-only-tablet-mobile,
.is-style-only-tablet,
.is-style-only-tablet-desktop,
.is-style-only-desktop {
  display: none !important;
}

/* ——— only-mobile ——— */
@media (max-width: 781px) {
  .is-style-only-mobile { display: inherit !important; }
}

/* ——— only-tablet-mobile ——— */
/* mobile */
@media (max-width: 1000px) {
  .is-style-only-tablet-mobile { display: inherit !important; }
}

/* ——— only-tablet ——— */
@media (min-width: 782px) and (max-width: 1000px) {
  .is-style-only-tablet { display: inherit !important; }
}

/* ——— only-tablet-desktop ——— */
/* tablet + desktop zaczyna się od 782px */
@media (min-width: 782px) {
  .is-style-only-tablet-desktop { display: inherit !important; }
}

/* ——— only-desktop ——— */
@media (min-width: 1001px) {
  .is-style-only-desktop { display: inherit !important; }
  .is-style-only-tablet-desktop-fullscreen{min-height: 100vh;}
}

.is-style-flex-shrink-0{
  flex-shrink: 0;
}

@media (max-width: 781px) {
  .is-style-full-section-mobile {     
    margin-left: calc(-1 * var(--wp--style--root--padding-left)) !important;
    margin-right: calc(-1 * var(--wp--style--root--padding-right)) !important;
    border-radius: 0 !important; 
  }
}

.skycash-group-carousel:not(.is-carousel-active) > .skycash-group-carousel__controls {
  display: none;
}

.skycash-group-carousel.is-carousel-active > .skycash-group-carousel__swiper {
  display: block;
  overflow: hidden;
}

.skycash-group-carousel.is-carousel-active > .skycash-group-carousel__swiper > .skycash-group-carousel__wrapper {
  column-gap: 0 !important;
  display: flex;
  gap: 0 !important;
  height: auto;
  row-gap: 0 !important;
}

.skycash-group-carousel.is-carousel-active .skycash-group-carousel__slide {
  box-sizing: border-box;
  height: auto;
}

.skycash-group-carousel__controls {
  align-items: center;
  display: flex;
  gap: 16px;
  justify-content: flex-end;
  margin-top: 24px;
}

@media (max-width: 560px) {
  .skycash-group-carousel__controls {
    justify-content: center;
  }
}

.skycash-group-carousel__button {
  align-items: center;
  background: var(--wp--preset--color--custom-bg-white);
  border: solid 1px var(--wp--preset--color--custom-stroke-default);
  border-radius: 50px;
  cursor: pointer;
  display: flex;
  height: 40px;
  justify-content: center;
  width: 40px;
}

.skycash-group-carousel__button svg {
  width: 24px;
  height: 24px;
}

.skycash-group-carousel__button:disabled svg path {
  opacity: .75;
  stroke: var(--wp--preset--color--custom-skyline-dark);
}

.swiper-pagination-bullets.skycash-group-carousel__pagination {
  position: relative;
  align-items: center;
  display: flex;
  gap: 8px;
  justify-content: center;
  min-height: 40px;
  bottom: unset;
}

.skycash-group-carousel__pagination .swiper-pagination-bullet {
  background: var(--wp--preset--color--custom-skyline-dark);
  height: 16px;
  margin: 0 !important;
  opacity: .25;
  width: 16px;
}

.skycash-group-carousel__pagination .swiper-pagination-bullet-active {
  background: var(--wp--preset--color--custom-navigation-blue);
  opacity: 1;
}
